Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler
Class IdlCompiler

    java.lang.Object
      |
      +--org.openorb.compiler.IdlCompiler

public class IdlCompiler
extends java.lang.Object

This class is the IDL compiler implementation.

Version:
  $Revision: 1.11 $ $Date: 2002/08/21 08:19:18 $
Author:
  Jerome Daniel

Field Summary
`static java.util.Hashtable` | `definedMacros` Maps #defined macros to their expansions
`static boolean` | `displayBadFlag` Display bad flag
`static boolean` | `dynamic` Indicates if the the stub and skeleton uses DII and DSI
`static java.lang.String` | `generateValueFactory`
`static java.lang.String` | `generateValueImpl`
`static java.lang.String[]` | `idl_file_name` IDL file name to compile
`static java.util.Vector` | `idl_file_name_list` IDL files list
`static java.util.Vector` | `importLink` Pseudo Import list
`static java.util.Vector` | `includeList` Include directories
`static boolean` | `jdk1_4`
`static boolean` | `local_stub` Indicates using local stubs
`static boolean` | `map_all` Indicates if the included elements must be mapped
`static boolean` | `map_poa` Indicates if the POA adapter is used
`static boolean` | `map_skeleton` Indicates if the skeleton must be generated
`static boolean` | `map_stub` Indicates if the stub must be generated
`static boolean` | `map_tie` Indicates if TIE approach must be generated
`static boolean` | `map_user` Indicates if the user code must be generated
`static int` | `minTableSize`
`static java.util.Vector` | `nativeDefinition` Native descriptions
`static java.lang.String` | `outdir` Indicates the output directory
`static java.lang.String` | `packageName` Package name for the generated code
`static boolean` | `pidl` Indicates if the compilation uses PIDL
`static boolean` | `portableHelper` Use portable helper.
`static boolean` | `reversePrefix` Reverse the prefix
`static boolean` | `silentMode` Active silent mode
`static java.lang.String` | `tab`
`static boolean` | `use_package` Indicates if a package must be used
`static boolean` | `useClasses`
`static boolean` | `usePrefix` Indicates if the prefix is used to name the packages
`static boolean` | `useReflection`
`static boolean` | `useSwitch`
`static boolean` | `verbose` Indicates if verbose mode is activated

Constructor Summary
`IdlCompiler()`

Method Summary
`static void` | `compile_file(java.lang.String file_name, IdlParser Parser)` This operation is used to compile an IDL file
`static void` | `configFile()` Get argument from configuration file
`static IdlParser` | `createIDLParser(java.lang.String[] args)`
`static void` | `display_help()` Display a help message
`static void` | `main(java.lang.String[] args)` The IDL compiler starts here
`static void` | `prepare()` Prepare the compilation process
`static void` | `scan_arguments(java.lang.String[] args)` Scan command line arguments

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tab

    public static final java.lang.String tab

### includeList

    public static java.util.Vector includeList

  Include directories

### definedMacros

    public static java.util.Hashtable definedMacros

  Maps #defined macros to their expansions

### importLink

    public static java.util.Vector importLink

  Pseudo Import list

### nativeDefinition

    public static java.util.Vector nativeDefinition

  Native descriptions

### idl_file_name

    public static java.lang.String[] idl_file_name

  IDL file name to compile

### idl_file_name_list

    public static java.util.Vector idl_file_name_list

  IDL files list

### map_stub

    public static boolean map_stub

  Indicates if the stub must be generated

### local_stub

    public static boolean local_stub

  Indicates using local stubs

### map_skeleton

    public static boolean map_skeleton

  Indicates if the skeleton must be generated

### map_all

    public static boolean map_all

  Indicates if the included elements must be mapped

### map_tie

    public static boolean map_tie

  Indicates if TIE approach must be generated

### map_user

    public static boolean map_user

  Indicates if the user code must be generated

### pidl

    public static boolean pidl

  Indicates if the compilation uses PIDL

### map_poa

    public static boolean map_poa

  Indicates if the POA adapter is used

### verbose

    public static boolean verbose

  Indicates if verbose mode is activated

### packageName

    public static java.lang.String packageName

  Package name for the generated code

### use_package

    public static boolean use_package

  Indicates if a package must be used

### portableHelper

    public static boolean portableHelper

  Use portable helper. This is only needed if the class must be compiled without openorb.

### outdir

    public static java.lang.String outdir

  Indicates the output directory

### dynamic

    public static boolean dynamic

  Indicates if the the stub and skeleton uses DII and DSI

### usePrefix

    public static boolean usePrefix

  Indicates if the prefix is used to name the packages

### silentMode

    public static boolean silentMode

  Active silent mode

### displayBadFlag

    public static boolean displayBadFlag

  Display bad flag

### reversePrefix

    public static boolean reversePrefix

  Reverse the prefix

### useReflection

    public static boolean useReflection

### useSwitch

    public static boolean useSwitch

### useClasses

    public static boolean useClasses

### jdk1_4

    public static boolean jdk1_4

### minTableSize

    public static int minTableSize

### generateValueFactory

    public static java.lang.String generateValueFactory

### generateValueImpl

    public static java.lang.String generateValueImpl

Constructor Detail

### IdlCompiler

    public IdlCompiler()

Method Detail

### display_help

    public static void display_help()

  Display a help message

### scan_arguments

    public static void scan_arguments(java.lang.String[] args)

  Scan command line arguments

### configFile

    public static void configFile()

  Get argument from configuration file

### prepare

    public static void prepare()

  Prepare the compilation process

### compile_file

    public static void compile_file(java.lang.String file_name,
                                    IdlParser Parser)
                             throws CompilationException

  This operation is used to compile an IDL file

### createIDLParser

    public static IdlParser createIDLParser(java.lang.String[] args)

### main

    public static void main(java.lang.String[] args)

  The IDL compiler starts here
  Parameters:
    `args` - command line arguments list

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD